import React from "react";
import SVG from "react-inlinesvg";
import { Link, NavLink } from "react-router-dom";

import authIcon from "assets/icons/authIcon.svg";

import "./authHeader.scss";

export const AuthHeader = () => {
  return (
    <div className="auth-header">
      <div className="auth-header__navigation">
        <div className="auth__logo">
          <div>
            <SVG src={authIcon} />
          </div>
          <h3>IT GUILD</h3>
          <div>
            <Link to="/auth">
              <SVG src={authIcon} />
            </Link>
          </div>
        </div>
        <div className="auth-nav">
          <ul>
            <li>
              <NavLink to={"/auth"}>кейсы</NavLink>
            </li>
            <li>
              <NavLink to={"/stack"}>стек</NavLink>
            </li>
            <li>
              <NavLink to={"/tracker-intro"}>как это работает</NavLink>
            </li>
            <li>
              <NavLink to={"/auth-candidate"}>отзывы</NavLink>
            </li>
            <li>
              <NavLink to={"/profile"}>наши продукты</NavLink>
            </li>
          </ul>
        </div>
        <div className="auth__buttons">
          <button className="signIn">
            <Link to="/auth">войти</Link>
          </button>
          <button className="signUp">
            <Link to="/auth">регистрация</Link>
          </button>
        </div>
      </div>
    </div>
  );
};
